/*
** Copyright (C) 1993-2013 Mark B. Hanson (mbh@panix.com)
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// @(#)$Id: laser.h 1344 2013-04-05 21:18:39Z mark $

#ifdef	XSC_LASER_H

class Laser;

#else	// XSC_LASER_H
#define	XSC_LASER_H

#include "castle.h"
#include "king.h"
#include "minefield.h"
#include "ship.h"
#include "stats.h"
#include "xything.h"

class Laser : public virtual Xything {
private:
    float age;
    float lifespan;
    float mag;

    void snuff(void);

    Ship *ship;

public:
    Laser(void);
    ~Laser(void);

    void render(const bool);

    void move(Castle *, King *, Minefield *, Stats *);
    void launch(void);
    void resize(const int, const int);

    bool alive(void) const;

    void set_ship(Ship *);
};


inline void
Laser::snuff(void)
{
    age = lifespan;
} // Laser::snuff


inline bool
Laser::alive(void) const
{
    return (age < lifespan);
} // Laser::alive


inline void
Laser::set_ship(Ship *s)
{
    ship = s;
} // Laser::set_ship

#endif	// XSC_LASER_H
