/*
** Copyright (C) 1993-2013 Mark B. Hanson (mbh@panix.com)
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// @(#)$Id: starfield.h 1344 2013-04-05 21:18:39Z mark $

#ifdef	XSC_STARFIELD_H

class Stats;

#else	// XSC_STARFIELD_H
#define	XSC_STARFIELD_H

#include "castle.h"
#include "ship.h"

class Starfield : public Ething {
private:
    float starsize;
    struct coords *pts;
    int wander;

public:
    Starfield(const int, const bool);
    ~Starfield(void);

    void render(const bool, const Castle *, const Ship *);
    void draw(const Castle *, const Ship *);
    void erase(const Castle *, const Ship *);

    void move(void);
    void resize(const int, const int);
};

inline void
Starfield::draw(const Castle *castle, const Ship *ship)
{
    render(true, castle, ship);
} // Starfield::draw


inline void
Starfield::erase(const Castle *castle, const Ship *ship)
{
    render(false, castle, ship);
} // Starfield::erase

#endif	// XSC_STARFIELD_H
