/*
** Copyright (C) 1993-2013 Mark B. Hanson (mbh@panix.com)
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// @(#)$Id: timing.h 1344 2013-04-05 21:18:39Z mark $

#ifndef	XSC_TIME_H
#define	XSC_TIME_H

#ifdef	HAVE_CONFIG_H
#include "config.h"
#endif	// HAVE_CONFIG_H

#if	TIME_WITH_SYS_TIME
#include <sys/time.h>
#include <time.h>
#else	// TIME_WITH_SYS_TIME
#if	HAVE_SYS_TIME_H
#include <sys/time.h>
#else	// HAVE_SYS_TIME_H
#include <time.h>
#endif	// HAVE_SYS_TIME_H
#endif	// TIME_WITH_SYS_TIME_H

#include "stamp.h"

namespace XSCTime {
    void now(Stamp *const);
    void sleep(const long);
} // namespace XSCTime


inline void
XSCTime::now(Stamp *const s)
{
    struct timeval tv;

    gettimeofday(&tv, 0);
    s->set(tv.tv_sec, tv.tv_usec);
} // XSCTime::now


inline void
XSCTime::sleep(const long delta)
{
    usleep((unsigned int)delta);
} // XSCTime::sleep

#endif	// XSC_TIME_H
